## feed2exec 0.18.0

=== requirements.txt ===
# just delegate install to setup.py for now
#
# this exists mostly so we don't have to duplicate test dependencies
# between tox and setup.py
-e .
