## feed2exec 0.11.0

=== debian/changelog ===
feed2exec (0.11.0) unstable; urgency=medium

  major release: two months of bugfixes, major refactoring and
  documentation overhaul.

  * bugfixes:
    * create missing directory in archive plugin
    * deal with feeds without a title
    * fix crash in mbox logging
    * fix crash when running without a config file
    * handle missing content-location header from the wayback machine
    * fix crash when using a relative path with --config
  * features:
    * allow shorter plugin names on the commandline: the full plugin load
      path is quite a mouthful. This makes it easier for our users and allow
      them to use only the shorter module name, relative to the
      `feed2exec.plugins` path, on the commandline only.  We keep the
      configuration file and internal use with the full plugin path. This is
      to avoid double-resolving the path and ensures the configuration file
      has a reliable plugin name.
  * major API refactoring, more details in d0b770a:
    * force API consumers to specify an explicit path instead of doing
      load-time guessing.
    * use composition instead of inheritance in the feed manager, to
      reduce ambiguity
    * locking is now in the FeedManager dispatch command
    * plugins are now ran serially even when running in parallel, although
      plugins are, as a whole, executed in parallel with the parsing, which
      is the main performance improvement we are looking for in parallelism
      anyways, because parsing is the slow part. performance tests don't
      show any significant degradation in performance
  * minor API changes:
    * allow find_test_file to return the test directory, to permit listing
      test artifacts
    * shorten and explicit variable names
    * rename test_db fixture to db_path to harmonize with conf_path fixture
    * also harmonize class names between conf and cache storage
  * extensive documentation refactoring:
    * document test writing
    * split code of conduct and contribution guide
    * fix formatting error in plugins docs and broken links in design docs
    * add security disclosure guidelines and contact
    * add support section inspired by Monkeysign
    * add issue template, integrated with GitLab
    * expand design documentation to provide a quick tour of the code
    * mention --catchup in cache purge and plugin deletion limitation
    * count lines of code without tests: it is unfair to compare out line
      count with the others because we have a much larger test suite, which
      has exploded in recent releases
    * suggest positive feedback as a contribution
    * fix syntax error and mention caveat of toot/mastodon integration
      after tests
  * test suite improvements;
    * add test suite for archive plugin
    * use pytest parametrization for opml test files
    * enable debug-level log capture in the catchlog module
    * accept OPML test files without resulting .ini file
    * refactor temp db use to simplify test suite
    * move OPML main test along with other OPML tests

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 29 Jan 2018 11:12:36 -0500

feed2exec (0.10.0) unstable; urgency=medium

  * bugfies:
    * security: avoid possible config setting override, see 2a49300 for
      details
    * follow redirections in wayback machine
    * remove useless db query when forcing
  * features
    * add transmission plugin, to write torrents to specific folders
      safely
    * add ikiwiki recentchanges filter: fixes recent changes summaries to
      fetch links properly
    * add linkchecker examples: allows users to check their publications
      for broken links
    * add shortcut parse command: allows running a single feed with a
      temporary configuration
    * make echo plugin a little more useful by *only* showing the passed
      arguments
  * documentation:
    * document catchup properly
    * add missing documentation about some add parameters in manpage
  * massive API refactoring:
    * plugins are now responsible for handling the "catchup" setting
    * FeedStorage is gone, replaced with a FeedManager
    * add a Feed object which has the parse/fetch functions and holds the
      session singleton

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 05 Nov 2017 15:38:26 -0500

feed2exec (0.9.0) unstable; urgency=medium

  * API changes:
    * config file moved from ~/.config/feed2exec/feed2exec.ini to
      ~/.config/feed2exec.ini. move it by hand to keep feed2exec working
    * database cache moved from ~/.config/feed2exec/feed2exec.db to
      ~/.cache/feed2exec.db. move by hand to keep feed2exec working or
      regenerate with `feed2exec fetch --catchup`
    * use sessions everywhere and betamax for all queries
    * refactor feeds storage to remove global
    * completely rework class hierarchy
    * use requests-file instead of custom file:// handler
    * new dependencies: pyxdg and requests-file
  * bugfixes:
    * package should be arch: all, like other python packages, not any
  * features:
    * use a custom user agent

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 Oct 2017 15:48:19 -0400

feed2exec (0.8.0) unstable; urgency=medium

  * API changes: feed2exec.feeds.fetch now returns bytes, as documented
  * bugfixes:
    * fix crash importing Liferea feed with folders, noticed by pabs
    * properly encode From headers
    * fix double-encoding issues in all output plugins
  * features:
    * bash completion
    * add basic opml unit tests
    * opml folder support: save the parent "folder" element in config if
      relevant
    * allow duplicate feed imports by abusing the folder name
    * expanded test coverage from 89 to 93%
  * documentation:
    * expand tests documentation and add plugin design docs
    * expand on the use of vcr
    * expand the design document
    * cross-reference the two manpages

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 Oct 2017 14:41:44 -0400

feed2exec (0.7.0) unstable; urgency=medium


