=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 12)
              , dh-python
              , python3
              , python3-doc
@@ -14,6 +14,7 @@
              , python3-pytest-runner
              , python3-betamax
              , python3-click
+             , python3-dateparser
              , python3-feedparser
              , python3-html2text
              , python3-requests
@@ -21,7 +22,7 @@
              , python3-unidecode
              , python3-xdg
 X-Python-3-Version: >= 3.5
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/anarcat/feed2exec
 Vcs-Git: https://gitlab.com/anarcat/feed2exec
 Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master
@@ -30,6 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
        , ${python3:Depends}
+Recommends: python3-dateparser
 Suggests: feed2exec-doc
 Description: programmable feed reader
  feed2exec is a simple program that runs custom actions on new RSS
