=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
        # builder=html,man only supported in Sphinx 1.6, not yet released:
        # http://www.sphinx-doc.org/en/master/setuptools.html
	cd doc && SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build make html man
