=== debian/control ===
Source: feed2exec
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
 python3-betamax (>= 0.8.0),
 python3-click,
 python3-dateparser,
 python3-doc,
 python3-feedparser,
 python3-html2text,
 python3-html5lib,
 python3-lxml,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-requests,
 python3-requests-file,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-unidecode,
 python3-xdg,
X-Python-3-Version: >= 3.5
Standards-Version: 4.5.1
Homepage: https://gitlab.com/anarcat/feed2exec
Vcs-Git: https://gitlab.com/anarcat/feed2exec.git
Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master

Package: feed2exec
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-dateparser,
Suggests:
 feed2exec-doc,
Description: programmable feed reader
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.

Package: feed2exec-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: programmable feed reader - documentation files
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.
 .
 HTML documentation for the feed2exec feed reader.
