## feed2exec 0.19.0

=== debian/changelog ===
feed2exec (0.19.0) unstable; urgency=medium

  * implement --nocache option

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 13 Feb 2023 15:28:37 -0500

feed2exec (0.18.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Antoine Beaupré ]
  * New features:

    * new plugin: ikiwiki toot

  * documentation changes:

    * fix incorrect string stripping in README (Closes: GL#29)

  * cleanups:

    * add support for Python 3.10, no change
    * remove the test compatibility shim from setup.py
    * silence warnings from lxml missing type hints
    * more uniform variable naming (underscores)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 09 Feb 2023 10:32:00 -0500
