=== debian/changelog ===
feed2exec (0.20.0) unstable; urgency=medium

  [ Ryosuke Ito ]
  * Add matchtitleregex and droptitleregex plugin and tests

  [ Antoine Beaupré ]
  * implement codespell linting, fixing all found errors
  * more related software: rss-bridge
  * isort: sort imports all over
  * add missing readthedocs configuration file, now mandatory
  * cross-reference droptitle and droptitle-regex

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Jan 2024 12:23:35 -0500
