## feed2exec 0.22.0

=== debian/changelog ===
feed2exec (0.22.0) unstable; urgency=medium

  * cleanups:
    * add renovate bot
    * start using tox --current-env
    * use debputy reformat for control files, no change
    * silence flake8 warnings
    * fix test collection in pytest 3.8+
    * chase new html2text in test suite
    * drop support for Python < 3.8
    * note the existence of markdownify
    * fix deprecation warning: get rid of dateparser feature detection
    * fix test suite failures due to deprecation warnings
    * fix a new mypy warning on old code
    * note that 0.21 was only published on pypi
  * ikiwikitoot: add tool bypass RSS feed parsing altogether
  * fix error in handling toot error codes

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 03 Mar 2025 14:41:40 -0500
