=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Homepage: https://gitlab.com/anarcat/feed2exec
 Vcs-Git: https://gitlab.com/anarcat/feed2exec.git
 Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master
+X-Style: black
 
 Package: feed2exec
 Architecture: all
