=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# disable network tests in Debian package build
+export PYBUILD_TEST_ARGS=-k 'not network'
 
 %:
 	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild
