## feed2exec 0.22.0build1

=== debian/changelog ===
feed2exec (0.22.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 19:43:31 +0000
